import { Injector } from '@angular/core';
import { AbstractControl, AsyncValidatorFn, FormArray, FormGroup, ValidatorFn } from '@angular/forms';
import { DependentValidator, DependentValidatorBuilderFactory } from 'ngx-reactive-form/declarations';
import { Subscription } from 'rxjs';
export declare class FormUtils<T extends FormGroup | FormArray> {
    #private;
    protected readonly injector: Injector;
    protected readonly rootFn: T | (() => T);
    get root(): T;
    get compositeValidator(): ValidatorFn;
    get compositeAsyncValidator(): AsyncValidatorFn;
    constructor(injector: Injector, rootFn: T | (() => T));
    tapControls(action?: (control: AbstractControl) => void, updateState?: boolean): void;
    createDependentValidator(builderFn: DependentValidatorBuilderFactory<T>): DependentValidator;
    makePristine(): void;
    makeDirty(): void;
    /**
     * Consume this method on **NG_VALUE_ACCESSOR** `afterViewInit()`
     * ### Note
     * Add `ExtendedFormBuilder` to component providers
     */
    registerSubFormValidator(): Subscription;
}
